
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="UTF-8">
	<title>Metronic Documentation | Keenthemes</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<meta name="description" content="General documentation for developers about supported frameworks and used technologies"/>

	<meta name="keywords" content="metronic, admin themes, bootstrap admin theme, keen, themes, keenthemes, bootstrap, sass, css, css3, laravel, dashboard, HTML, html5, vue, vuejs, angular,
	react, javascript, datepicker, datatable, free admin themes, free templates, bootstrap admin, freebies, bootstrap themes, web design, web development, custom development, ASP.NET, premium themes"/>

	<link rel="canonical" href="https://keenthemes.com/metronic"/>
	<meta property="og:locale" content="en_US"/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta property="og:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta property="og:url" content="https://keenthemes.com/metronic"/>
	<meta property="og:site_name" content="Keenthemes"/>
	<meta property="article:publisher" content="https://www.facebook.com/keenthemes"/>
	<meta name="twitter:card" content="summary_large_image"/>
	<meta name="twitter:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta name="twitter:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta name="twitter:domain" content="Keenthemes"/>

	<link rel="shortcut icon" href="./assets/favicon.ico"/>

	<link href="./assets/style/flaticon.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/tiny-slider/dist/tiny-slider.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/style/style.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/highlight.js/styles/railscasts.css" rel="stylesheet" type="text/css">	<script src="./assets/plugins/jquery/dist/jquery.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tether/dist/js/tether.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/popper.js/dist/umd/popper.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/bootstrap/dist/js/bootstrap.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/perfect-scrollbar/dist/perfect-scrollbar.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tiny-slider/dist/tiny-slider.js?v=7.2.3" type="application/javascript"></script><script src="./assets/js/custom.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/highlight.js/lib/highlight.js" type="application/javascript"></script><script src="./assets/plugins/highlight.js/build/highlight.pack.js" type="application/javascript"></script><script src="./assets/js/docs.js" type="application/javascript"></script>
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
</head>
<body>

<div class="wrapper"><!-- wrapper -->

	<!-- section -->
<section class="section section--header" >
	<!-- header -->
	<header>
		<div class="content">
			<div class="header__handler">
				<div class="sidebar">
					<span class="hamburger">
						<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 129 129" enable-background="new 0 0 129 129" width="40px" height="40px">
							<g>
								<path d="m91.4,33.5h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,87.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,60.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
							</g>
						</svg>
					</span>
                    <div class="sidebar__menu_wrap">
                        <span class="sidebar__menu_close">x</span>
                        <ul class="sidebar__menu"><li class="sidebar__menu__item"><a href="index.html" target="" title="Preview"><span>Preview</span></a></li><li class="sidebar__menu__item"><a href="faq.html" target="" title="Faq"><span>Faq</span></a></li><li class="sidebar__menu__item active"><a href="docs.html" target="" title="Docs"><span>Docs</span></a></li><li class="sidebar__menu__item"><a href="video.html" target="" title="Videos"><span>Videos</span></a></li><li class="sidebar__menu__item"><a href="changelog.html" target="" title="Changelog"><span>Changelog</span></a></li><li class="sidebar__menu__item"><a href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub"><span>GitHub</span></a></li><li class="sidebar__menu__item"><a href="reviews.html" target="" title="Reviews"><span>Reviews</span></a></li><li class="sidebar__menu__item"><a href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials"><span>Tutorials</span></a></li></ul>                    </div>
				</div>
				<a href="https://keenthemes.com" class="kt_logo"><img src="./assets/img/logo.png" alt="logo"></a>
			</div>
			<div class="header__references d-none d-md-block">
				<a href="https://keenthemes.com/" class="header__references_home">Home</a>
				<a href="https://keenthemes.com/metronic/" class="header__references_theme">Metronic</a>
				<a href="https://keenthemes.com/hireus/" class="header__references_hire" target="_blank">Hire Us</a>
				<a href="https://1.envato.market/EA4JP" class="header__references_purchase" target="_blank">Buy Now</a>
			</div>
		</div>
	</header>
	<!-- header END -->

	<!-- content -->
	<div class="content">
		<!-- intro -->
		<div class="intro">
			<img src="./assets/img/metronic_logo.svg" alt="logo">

			<span class="intro__subtitle">
				The World’s #1 Bootstrap 4 HTML, Angular 11, React, VueJS & Laravel<br/>Admin Dashboard Theme			</span>
		</div>
		<!-- intro END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

<!-- section -->
<section class="section">
	<!-- curved -->
	<div class="curved-bg" style=" position: relative;margin-top: -55px;">
		<svg  width="100%" height="56px" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" class="">
			<path d="M0,0 C16.6666667,66 33.3333333,99 50,99 C66.6666667,99 83.3333333,66 100,0 L100,100 L0,100 L0,0 Z" fill="white"/></path>
		</svg>
	</div>
	<!-- curved -->

	<!-- content -->
	<div class="content">
		<!-- main__menu_wrap -->
		<div class="main-menu-wrap">
			<div class="main-menu">
                <a class="main-link" href="index.html" target="" title="Preview">Preview</a><a class="main-link" href="faq.html" target="" title="Faq">Faq</a><a class="main-link active" href="docs.html" target="" title="Docs">Docs</a><a class="main-link" href="video.html" target="" title="Videos">Videos</a><a class="main-link" href="changelog.html" target="" title="Changelog">Changelog</a><a class="main-link" href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub">GitHub</a><a class="main-link" href="reviews.html" target="" title="Reviews">Reviews</a><a class="main-link" href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials">Tutorials</a>			</div>
		</div>
		<!-- main__menu_wrap END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

	<div style="background: #F9F4EE;">
    <section class="section section--white">
	<!-- section -->
	<div id="docs" class="content">

		<div class="contents">
			<!-- contents -->

			<div class="doc-side-menu">
				<p>&nbsp;</p>
				<i class="la la-bars toggle-btn" data-toggle="collapse" data-target="#menu-content"></i>
				<div class="menu-list">
					<div class="min-vh-100" id="sidebar"><ul class="nav flex-column flex-nowrap menu-content" id="menu-content"><li class="nav-item menu-separator"><h4>VERSIONS</h4></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab4e7b2" data-toggle="collapse" data-target="#a6049e0ab4e7b2">HTML<div class="arrow"></div></a><div class="sub-menu collapse show" id="a6049e0ab4e7b2" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab51a98" data-toggle="collapse" data-target="#a6049e0ab51a98">Quick Start<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab51a98" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-quick-start.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-quick-start.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-demos.html">Multi-Demo</a></li><li class="nav-item"><a class="nav-link" href="html-files-structure.html">Files Structure</a></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab51b27" data-toggle="collapse" data-target="#a6049e0ab51b27">Build Tools<div class="arrow"></div></a><div class="sub-menu collapse show" id="a6049e0ab51b27" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item active"><a class="nav-link" href="html-build-tools.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-build-tools.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab51b8c" data-toggle="collapse" data-target="#a6049e0ab51b8c">Customization<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab51b8c" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-sass.html">SASS</a></li><li class="nav-item"><a class="nav-link" href="html-javascript.html">Javascript</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab51bec" data-toggle="collapse" data-target="#a6049e0ab51bec">Components<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab51bec" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-components-datatable.html">Datatable</a></li><li class="nav-item"><a class="nav-link" href="html-components-menu.html">Menu</a></li><li class="nav-item"><a class="nav-link" href="html-components-header.html">Header</a></li><li class="nav-item"><a class="nav-link" href="html-components-offcanvas.html">Offcanvas</a></li><li class="nav-item"><a class="nav-link" href="html-components-scrolltop.html">Scrolltop</a></li><li class="nav-item"><a class="nav-link" href="html-components-toggle.html">Toggle</a></li><li class="nav-item"><a class="nav-link" href="html-components-wizard.html">Wizard</a></li><li class="nav-item"><a class="nav-link" href="html-components-dialog.html">Dialog</a></li><li class="nav-item"><a class="nav-link" href="html-components-card.html">Card</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-rtl-version.html">RTL Version</a></li><li class="nav-item"><a class="nav-link" href="html-layout-builder.html">Layout Builder</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab51db3" data-toggle="collapse" data-target="#a6049e0ab51db3">Angular<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab51db3" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="angular-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="angular-installation.html">Installation</a></li><li class="nav-item"><a class="nav-link" href="angular-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="angular-skeleton.html">Skeleton</a></li><li class="nav-item"><a class="nav-link" href="angular-i18n.html">Internationalization</a></li><li class="nav-item"><a class="nav-link" href="angular-mock-backend.html">Mock Backend</a></li><li class="nav-item"><a class="nav-link" href="angular-how-create-custom-page.html">Create a Page</a></li><li class="nav-item"><a class="nav-link" href="angular-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="crud-tables.html">CRUD + Tables</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab555a1" data-toggle="collapse" data-target="#a6049e0ab555a1">React<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab555a1" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="react-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="react-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="react-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="react-internationalization.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="react-mock-back-end.html">Mock Back-end</a></li><li class="nav-item"><a class="nav-link" href="react-create-a-page.html">Create a page</a></li><li class="nav-item"><a class="nav-link" href="react-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="react-typescript.html">TypeScript</a></li><li class="nav-item"><a class="nav-link" href="react-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab55614" data-toggle="collapse" data-target="#a6049e0ab55614">Vue<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab55614" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="vue-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="vue-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="vue-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="vue-i18n.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="vue-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ab5564f" data-toggle="collapse" data-target="#a6049e0ab5564f">Laravel<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ab5564f" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="laravel-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="laravel-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="laravel-file-structure.html">File Structure</a></li><li class="nav-item"><a class="nav-link" href="laravel-config.html">Layout Config</a></li><li class="nav-item"><a class="nav-link" href="laravel-menu-generator.html">Menu Generator</a></li><li class="nav-item"><a class="nav-link" href="vue-laravel-integration.html">Vue + Laravel Integration</a></li></ul></div></li><li class="nav-item menu-separator"><h4>GENERAL</h4></li><li class="nav-item"><a class="nav-link" href="github-access.html">GitHub Access</a></li><li class="nav-item"><a class="nav-link" href="update.html">Updates</a></li><li class="nav-item"><a class="nav-link" href="api-reference.html">API Reference</a></li><li class="nav-item"><a class="nav-link" href="net-integration.html">.NET Integration</a></li><li class="nav-item"><a class="nav-link" href="more-resources.html">More Resources</a></li><li class="nav-item"><a class="nav-link" href="references.html">References</a></li><li class="nav-item"><a class="nav-link" href="security-notice.html">Security Notice</a></li></ul></div>				</div>
			</div>

			<div class="contents__box contents__box--right">
				<!-- contents__box -->
				<div class="section">
	<h2 class="section-head">Gulp</h2>

	<h3 id="sec4-1" class="section-title">Overview</h3>
	<div class="section-content">
		<p>
			Metronic build tools provides easy package management and production deployment for any type of web application that also comes with powerful asset bundle tools to organize
			assets structure with custom bundling for production.<br><br>
			Metronic's central <code>gulp.config.json</code> build config files allows you manage the entire assest bundling for production by taking advantage of <code>yarn</code>
			package manager.
		</p>
	</div>

	<div class="space"></div>

	<h3 id="sec4-2" class="section-title">Build Config</h3>
	<div class="section-content">
		<p>
			The build config file is located at<code>[metronic]/theme/html/tools/gulp.config.json</code> and you can fully customize the build settings to meet your project
			requirements:
		</p>
		<p>Check the dist output path <code>config.dist</code> for the build tools to output the compilation.</p>

		<div class="space"></div>

		<pre><code>{
    "name": "metronic",
    "theme": "metronic",
    "desc": "Metronic build config file for Gulp",
    "version": "7.0.9",
    "config": {
        "debug": false,
        "compile": {
            "rtl": {
                "enabled": true,
                "skip": [
                    "select2",
                    "socicon",
                    "line-awesome",
                    "flaticon",
                    "flaticon2",
                    "fontawesome5",
                    "jstree",
                    "owl.carousel",
                    "fullcalendar",
                    "bootstrap-datepicker",
                    "bootstrap-switch",
                    "tempusdominus-bootstrap-4",
                    "nouislider",
                    "tinymce",
                    "sweetalert2",
                    "jquery-mask-plugin"
                ]
            },
            "jsMinify": false,
            "cssMinify": false,
            "jsSourcemaps": false,
            "cssSourcemaps": false
        },
        "path": {
            "src": "./../{demo}/src",
            "node_modules": "./node_modules"
        },
        "dist": [
            "./../{demo}/dist/assets"
        ]
    },
    "build": {
        "main": {
            "src": {
                "styles": [
                    "{$config.path.src}/sass/style.scss"
                ],
                "scripts": [
                    "{$config.path.src}/js/components/**/*.js",
                    "{$config.path.src}/js/layout/**/*.js"
                ]
            },
            "bundle": {
                "styles": "{$config.dist}/css/style.bundle.css",
                "scripts": "{$config.dist}/js/scripts.bundle.js"
            }
        },
        "vendors": {
            "base": {
                "src": {
                    "mandatory": {
                        "jquery": {
                            "scripts": [
                                "{$config.path.node_modules}/jquery/dist/jquery.js"
                            ]
                        },
                        "popper.js": {
                            "scripts": [
                                "{$config.path.node_modules}/popper.js/dist/umd/popper.js"
                            ]
                        },
                        "bootstrap": {
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap/dist/js/bootstrap.min.js"
                            ]
                        },
                        "moment": {
                            "scripts": [
                                "{$config.path.node_modules}/moment/min/moment-with-locales.min.js"
                            ]
                        },
                        "perfect-scrollbar": {
                            "styles": [
                                "{$config.path.node_modules}/perfect-scrollbar/css/perfect-scrollbar.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/perfect-scrollbar/dist/perfect-scrollbar.js"
                            ]
                        },
                        "wnumb": {
                            "scripts": [
                                "{$config.path.node_modules}/wnumb/wNumb.js"
                            ]
                        },
                        "keenthemes-icons": {
                            "styles": [
                                "{$config.path.src}/plugins/keenthemes-icons/font/ki.css"
                            ],
                            "fonts": [
                                "{$config.path.src}/plugins/keenthemes-icons/font/**"
                            ]
                        }
                    },
                    "optional": {
                        "formvalidation": {
                            "styles": [
                                "{$config.path.src}/plugins/formvalidation/dist/css/formValidation.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/es6-shim/es6-shim.min.js",
                                "{$config.path.src}/plugins/formvalidation/dist/js/FormValidation.full.min.js",
                                "{$config.path.src}/plugins/formvalidation/dist/js/plugins/Bootstrap.min.js",
                                "{$config.path.src}/plugins/formvalidation/dist/js/plugins/Bootstrap.min.js"
                            ]
                        },
                        "block-ui": {
                            "scripts": [
                                "{$config.path.node_modules}/block-ui/jquery.blockUI.js"
                            ]
                        },
                        "bootstrap-datepicker": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js",
                                "{$config.path.src}/js/vendors/plugins/bootstrap-datepicker.init.js"
                            ]
                        },
                        "tempusdominus-bootstrap-4": {
                            "styles": [
                                "{$config.path.node_modules}/tempusdominus-bootstrap-4/build/css/tempusdominus-bootstrap-4.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/tempusdominus-bootstrap-4/build/js/tempusdominus-bootstrap-4.js",
                                "{$config.path.src}/js/vendors/plugins/tempusdominus-bootstrap-4.init.js"
                            ]
                        },
                        "bootstrap-timepicker": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-timepicker/css/bootstrap-timepicker.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-timepicker/js/bootstrap-timepicker.min.js",
                                "{$config.path.src}/js/vendors/plugins/bootstrap-timepicker.init.js"
                            ]
                        },
                        "bootstrap-daterangepicker": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-daterangepicker/daterangepicker.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-daterangepicker/daterangepicker.js"
                            ]
                        },
                        "bootstrap-touchspin": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-touchspin/dist/jquery.bootstrap-touchspin.js"
                            ]
                        },
                        "bootstrap-maxlength": {
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-maxlength/src/bootstrap-maxlength.js"
                            ]
                        },
                        "bootstrap-multiselectsplitter": {
                            "scripts": [
                                "{$config.path.src}/plugins/bootstrap-multiselectsplitter/bootstrap-multiselectsplitter.min.js"
                            ]
                        },
                        "bootstrap-select": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-select/dist/css/bootstrap-select.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-select/dist/js/bootstrap-select.js"
                            ]
                        },
                        "bootstrap-switch": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-switch/dist/js/bootstrap-switch.js",
                                "{$config.path.src}/js/vendors/plugins/bootstrap-switch.init.js"
                            ]
                        },
                        "select2": {
                            "styles": [
                                "{$config.path.node_modules}/select2/dist/css/select2.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/select2/dist/js/select2.full.js"
                            ]
                        },
                        "ion-rangeslider": {
                            "styles": [
                                "{$config.path.node_modules}/ion-rangeslider/css/ion.rangeSlider.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/ion-rangeslider/js/ion.rangeSlider.js"
                            ],
                            "images": [
                                "{$config.path.node_modules}/ion-rangeslider/img/sprite-skin-flat.png"
                            ]
                        },
                        "typeahead.js": {
                            "scripts": [
                                "{$config.path.node_modules}/typeahead.js/dist/typeahead.bundle.js",
                                "{$config.path.node_modules}/handlebars/dist/handlebars.js"
                            ]
                        },
                        "inputmask": {
                            "scripts": [
                                "{$config.path.node_modules}/inputmask/dist/jquery.inputmask.bundle.js",
                                "{$config.path.node_modules}/inputmask/dist/inputmask/inputmask.date.extensions.js",
                                "{$config.path.node_modules}/inputmask/dist/inputmask/inputmask.numeric.extensions.js"
                            ]
                        },
                        "nouislider": {
                            "styles": [
                                "{$config.path.node_modules}/nouislider/distribute/nouislider.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/nouislider/distribute/nouislider.js"
                            ]
                        },
                        "autosize": {
                            "scripts": [
                                "{$config.path.node_modules}/autosize/dist/autosize.js"
                            ]
                        },
                        "clipboard": {
                            "scripts": [
                                "{$config.path.node_modules}/clipboard/dist/clipboard.min.js"
                            ]
                        },
                        "dropzone": {
                            "styles": [
                                "{$config.path.node_modules}/dropzone/dist/dropzone.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/dropzone/dist/dropzone.js",
                                "{$config.path.src}/js/vendors/plugins/dropzone.init.js"
                            ]
                        },
                        "quil": {
                            "styles": [
                                "{$config.path.node_modules}/quill/dist/quill.snow.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/quill/dist/quill.js"
                            ]
                        },
                        "tagify": {
                            "styles": [
                                "{$config.path.node_modules}/@yaireo/tagify/dist/tagify.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/@yaireo/tagify/dist/tagify.polyfills.min.js",
                                "{$config.path.node_modules}/@yaireo/tagify/dist/tagify.min.js"
                            ]
                        },
                        "summernote": {
                            "styles": [
                                "{$config.path.node_modules}/summernote/dist/summernote-bs4.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/summernote/dist/summernote-bs4.js"
                            ],
                            "fonts": [
                                "{$config.path.node_modules}/summernote/dist/font/**"
                            ]
                        },
                        "bootstrap-makrdown": {
                            "styles": [
                                "{$config.path.node_modules}/bootstrap-markdown/css/bootstrap-markdown.min.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/markdown/lib/markdown.js",
                                "{$config.path.node_modules}/bootstrap-markdown/js/bootstrap-markdown.js",
                                "{$config.path.src}/js/vendors/plugins/bootstrap-markdown.init.js"
                            ]
                        },
                        "remarkable-bootstrap-notify": {
                            "scripts": [
                                "{$config.path.node_modules}/bootstrap-notify/bootstrap-notify.min.js",
                                "{$config.path.src}/js/vendors/plugins/bootstrap-notify.init.js"
                            ]
                        },
                        "animate.css": {
                            "styles": [
                                "{$config.path.node_modules}/animate.css/animate.css"
                            ]
                        },
                        "toastr": {
                            "styles": [
                                "{$config.path.node_modules}/toastr/build/toastr.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/toastr/build/toastr.min.js"
                            ]
                        },
                        "dual-listbox": {
                            "styles": [
                                "{$config.path.node_modules}/dual-listbox/dist/dual-listbox.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/dual-listbox/dist/dual-listbox.js"
                            ]
                        },
                        "apexcharts": {
                            "styles": [
                                "{$config.path.node_modules}/apexcharts/dist/apexcharts.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/apexcharts/dist/apexcharts.min.js"
                            ]
                        },
                        "bootstrap-session-timeout": {
                            "scripts": [
                                "{$config.path.src}/plugins/bootstrap-session-timeout/dist/bootstrap-session-timeout.min.js"
                            ]
                        },
                        "jquery-idletimer": {
                            "scripts": [
                                "{$config.path.src}/plugins/jquery-idletimer/idle-timer.min.js"
                            ]
                        },
                        "counterup": {
                            "scripts": [
                                "{$config.path.node_modules}/waypoints/lib/jquery.waypoints.js",
                                "{$config.path.node_modules}/counterup/jquery.counterup.js"
                            ]
                        },
                        "sweetalert2": {
                            "styles": [
                                "{$config.path.node_modules}/sweetalert2/dist/sweetalert2.css"
                            ],
                            "scripts": [
                                "{$config.path.node_modules}/es6-promise-polyfill/promise.min.js",
                                "{$config.path.node_modules}/sweetalert2/dist/sweetalert2.min.js",
                                "{$config.path.src}/js/vendors/plugins/sweetalert2.init.js"
                            ]
                        },
                        "jquery-mask-plugin": {
                            "scripts": [
                                "{$config.path.node_modules}/jquery-mask-plugin/dist/jquery.mask.js"
                            ]
                        },
                        "sticky-js": {
                            "scripts": [
                                "{$config.path.node_modules}/sticky-js/dist/sticky.min.js"
                            ]
                        },
                        "jquery.repeater": {
                            "scripts": [
                                "{$config.path.node_modules}/jquery.repeater/src/lib.js",
                                "{$config.path.node_modules}/jquery.repeater/src/jquery.input.js",
                                "{$config.path.node_modules}/jquery.repeater/src/repeater.js"
                            ]
                        },
                        "line-awesome": {
                            "styles": [
                                "{$config.path.node_modules}/line-awesome/dist/line-awesome/css/line-awesome.css"
                            ],
                            "fonts": [
                                "{$config.path.node_modules}/line-awesome/dist/line-awesome/fonts/**"
                            ]
                        },
                        "flaticon": {
                            "styles": [
                                "{$config.path.src}/plugins/flaticon/flaticon.css"
                            ],
                            "fonts": [
                                "{$config.path.src}/plugins/flaticon/font/**"
                            ]
                        },
                        "flaticon2": {
                            "styles": [
                                "{$config.path.src}/plugins/flaticon2/flaticon.css"
                            ],
                            "fonts": [
                                "{$config.path.src}/plugins/flaticon2/font/**"
                            ]
                        },
                        "socicon": {
                            "styles": [
                                "{$config.path.node_modules}/socicon/css/socicon.css"
                            ],
                            "fonts": [
                                "{$config.path.node_modules}/socicon/font/**"
                            ]
                        },
                        "@fortawesome": {
                            "styles": [
                                "{$config.path.node_modules}/@fortawesome/fontawesome-free/css/all.min.css"
                            ],
                            "fonts": [
                                "{$config.path.node_modules}/@fortawesome/fontawesome-free/webfonts/**"
                            ]
                        }
                    }
                },
                "bundle": {
                    "styles": "{$config.dist}/plugins/global/plugins.bundle.css",
                    "scripts": "{$config.dist}/plugins/global/plugins.bundle.js",
                    "images": "{$config.dist}/plugins/global/images",
                    "fonts": "{$config.dist}/plugins/global/fonts"
                }
            },
            "custom": {
                "draggable": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@shopify/draggable/lib/draggable.bundle.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/draggable.bundle.legacy.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/draggable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/sortable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/droppable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/swappable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/plugins.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/plugins/collidable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/plugins/resize-mirror.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/plugins/snappable.js",
                            "{$config.path.node_modules}/@shopify/draggable/lib/plugins/swap-animation.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/draggable/draggable.bundle.js"
                    }
                },
                "prismjs": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/prismjs/themes/prism.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/prismjs/prism.js",
                            "{$config.path.node_modules}/prismjs/plugins/normalize-whitespace/prism-normalize-whitespace.js",
                            "{$config.path.src}/js/vendors/plugins/prism.init.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/prismjs/prismjs.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/prismjs/prismjs.bundle.js"
                    }
                },
                "fullcalendar": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/@fullcalendar/core/main.css",
                            "{$config.path.node_modules}/@fullcalendar/daygrid/main.css",
                            "{$config.path.node_modules}/@fullcalendar/list/main.css",
                            "{$config.path.node_modules}/@fullcalendar/timegrid/main.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/@fullcalendar/core/main.js",
                            "{$config.path.node_modules}/@fullcalendar/daygrid/main.js",
                            "{$config.path.node_modules}/@fullcalendar/google-calendar/main.js",
                            "{$config.path.node_modules}/@fullcalendar/interaction/main.js",
                            "{$config.path.node_modules}/@fullcalendar/list/main.js",
                            "{$config.path.node_modules}/@fullcalendar/timegrid/main.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/fullcalendar/fullcalendar.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/fullcalendar/fullcalendar.bundle.js"
                    }
                },
                "gmaps": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/gmaps/gmaps.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/gmaps/gmaps.js"
                    }
                },
                "flot": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/flot/dist/es5/jquery.flot.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.resize.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.categories.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.pie.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.stack.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.crosshair.js",
                            "{$config.path.node_modules}/flot/source/jquery.flot.axislabels.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/flot/flot.bundle.js"
                    }
                },
                "datatables.net": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/datatables.net-bs4/css/dataTables.bootstrap4.css",
                            "{$config.path.node_modules}/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-autofill-bs4/css/autoFill.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-colreorder-bs4/css/colReorder.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-fixedcolumns-bs4/css/fixedColumns.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-fixedheader-bs4/css/fixedHeader.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-keytable-bs4/css/keyTable.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-rowgroup-bs4/css/rowGroup.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-rowreorder-bs4/css/rowReorder.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-scroller-bs4/css/scroller.bootstrap4.min.css",
                            "{$config.path.node_modules}/datatables.net-select-bs4/css/select.bootstrap4.min.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/datatables.net/js/jquery.dataTables.js",
                            "{$config.path.node_modules}/datatables.net-bs4/js/dataTables.bootstrap4.js",
                            "{$config.path.src}/js/vendors/plugins/datatables.init.js",
                            "{$config.path.node_modules}/datatables.net-autofill/js/dataTables.autoFill.min.js",
                            "{$config.path.node_modules}/datatables.net-autofill-bs4/js/autoFill.bootstrap4.min.js",
                            "{$config.path.node_modules}/jszip/dist/jszip.min.js",
                            "{$config.path.node_modules}/pdfmake/build/pdfmake.min.js",
                            "{$config.path.node_modules}/pdfmake/build/vfs_fonts.js",
                            "{$config.path.node_modules}/datatables.net-buttons/js/dataTables.buttons.min.js",
                            "{$config.path.node_modules}/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js",
                            "{$config.path.node_modules}/datatables.net-buttons/js/buttons.colVis.js",
                            "{$config.path.node_modules}/datatables.net-buttons/js/buttons.flash.js",
                            "{$config.path.node_modules}/datatables.net-buttons/js/buttons.html5.js",
                            "{$config.path.node_modules}/datatables.net-buttons/js/buttons.print.js",
                            "{$config.path.node_modules}/datatables.net-colreorder/js/dataTables.colReorder.min.js",
                            "{$config.path.node_modules}/datatables.net-fixedcolumns/js/dataTables.fixedColumns.min.js",
                            "{$config.path.node_modules}/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js",
                            "{$config.path.node_modules}/datatables.net-keytable/js/dataTables.keyTable.min.js",
                            "{$config.path.node_modules}/datatables.net-responsive/js/dataTables.responsive.min.js",
                            "{$config.path.node_modules}/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js",
                            "{$config.path.node_modules}/datatables.net-rowgroup/js/dataTables.rowGroup.min.js",
                            "{$config.path.node_modules}/datatables.net-rowreorder/js/dataTables.rowReorder.min.js",
                            "{$config.path.node_modules}/datatables.net-scroller/js/dataTables.scroller.min.js",
                            "{$config.path.node_modules}/datatables.net-select/js/dataTables.select.min.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/datatables/datatables.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/datatables/datatables.bundle.js"
                    }
                },
                "jstree": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/jstree/dist/themes/default/style.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/jstree/dist/jstree.js"
                        ],
                        "images": [
                            "{$config.path.src}/media/plugins/jstree/32px.png",
                            "{$config.path.node_modules}/jstree/dist/themes/default/throbber.gif"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/jstree/jstree.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/jstree/jstree.bundle.js",
                        "images": "{$config.dist}/plugins/custom/jstree"
                    }
                },
                "jqvmap": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/jqvmap/dist/jqvmap.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/jqvmap/dist/jquery.vmap.js",
                            "{$config.path.node_modules}/jqvmap/dist/maps/jquery.vmap.world.js",
                            "{$config.path.node_modules}/jqvmap/dist/maps/jquery.vmap.russia.js",
                            "{$config.path.node_modules}/jqvmap/dist/maps/jquery.vmap.usa.js",
                            "{$config.path.node_modules}/jqvmap/dist/maps/jquery.vmap.germany.js",
                            "{$config.path.node_modules}/jqvmap/dist/maps/jquery.vmap.europe.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/jqvmap/jqvmap.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/jqvmap/jqvmap.bundle.js"
                    }
                },
                "uppy": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/uppy/dist/uppy.min.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/uppy/dist/uppy.min.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/uppy/uppy.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/uppy/uppy.bundle.js"
                    }
                },
                "tinymce-js": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/tinymce/tinymce.min.js",
                            "{$config.path.node_modules}/tinymce/themes/silver/theme.js",
                            "{$config.path.node_modules}/tinymce/themes/mobile/theme.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/tinymce/tinymce.bundle.js"
                    }
                },
                "tinymce": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/tinymce/skins/**/*.css"
                        ]
                    },
                    "output": {
                        "styles": "{$config.dist}/plugins/custom/tinymce/skins"
                    }
                },
                "tinymce-plugins": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/tinymce/plugins/**/*.js"
                        ]
                    },
                    "output": {
                        "scripts": "{$config.dist}/plugins/custom/tinymce/plugins"
                    }
                },
                "tinymce-icons": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/tinymce/icons/**"
                        ]
                    },
                    "output": {
                        "scripts": "{$config.dist}/plugins/custom/tinymce/icons"
                    }
                },
                "ckeditor-classic": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@ckeditor/ckeditor5-build-classic/build/ckeditor.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/ckeditor/ckeditor-classic.bundle.js"
                    }
                },
                "ckeditor-inline": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@ckeditor/ckeditor5-build-inline/build/ckeditor.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/ckeditor/ckeditor-inline.bundle.js"
                    }
                },
                "ckeditor-balloon": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@ckeditor/ckeditor5-build-balloon/build/ckeditor.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/ckeditor/ckeditor-balloon.bundle.js"
                    }
                },
                "ckeditor-balloon-block": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@ckeditor/ckeditor5-build-balloon-block/build/ckeditor.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/ckeditor/ckeditor-balloon-block.bundle.js"
                    }
                },
                "ckeditor-decoupled-document": {
                    "src": {
                        "scripts": [
                            "{$config.path.node_modules}/@ckeditor/ckeditor5-build-decoupled-document/build/ckeditor.js"
                        ]
                    },
                    "bundle": {
                        "scripts": "{$config.dist}/plugins/custom/ckeditor/ckeditor-document.bundle.js"
                    }
                },
                "jkanban": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/jkanban/dist/jkanban.min.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/jkanban/dist/jkanban.min.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/kanban/kanban.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/kanban/kanban.bundle.js"
                    }
                },
                "leaflet": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/leaflet/dist/leaflet.css",
                            "{$config.path.node_modules}/esri-leaflet-geocoder/dist/esri-leaflet-geocoder.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/leaflet/dist/leaflet.js",
                            "{$config.path.node_modules}/esri-leaflet/dist/esri-leaflet.js",
                            "{$config.path.node_modules}/esri-leaflet-geocoder/dist/esri-leaflet-geocoder.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/leaflet/leaflet.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/leaflet/leaflet.bundle.js"
                    }
                },
                "cropperjs": {
                    "src": {
                        "styles": [
                            "{$config.path.node_modules}/cropperjs/dist/cropper.css"
                        ],
                        "scripts": [
                            "{$config.path.node_modules}/cropperjs/dist/cropper.js"
                        ]
                    },
                    "bundle": {
                        "styles": "{$config.dist}/plugins/custom/cropper/cropper.bundle.css",
                        "scripts": "{$config.dist}/plugins/custom/cropper/cropper.bundle.js"
                    }
                }
            }
        },
        "pages": {
            "src": {
                "styles": [
                    "{$config.path.src}/sass/pages/**/*.scss"
                ],
                "scripts": [
                    "{$config.path.src}/js/pages/**/*.js"
                ]
            },
            "output": {
                "styles": "{$config.dist}/css/pages/",
                "scripts": "{$config.dist}/js/pages/"
            }
        },
        "theme": {
            "src": {
                "styles": [
                    "{$config.path.src}/sass/themes/**/*.scss"
                ]
            },
            "output": {
                "styles": "{$config.dist}/css/themes/"
            }
        },
        "media": {
            "src": {
                "media": [
                    "{$config.path.src}/media/**/*.*"
                ]
            },
            "output": {
                "media": "{$config.dist}/media/"
            }
        }
    }
}</code></pre>

		<div class="alert alert-warning" style="margin: 25px 0 25px 0;">
			<h4 class="section-subtitle">Required Core CSS and JS files</h4>
			<p>Vendors list under <code>build.plugins.base.src.mandatory</code> is required, and the
				<code>build.plugins.base.src.optional</code> is optional. Also JS & CSS files in
				<code>build.theme.base</code> is required for specific demo styles and scripts.
			</p>
		</div>

		<table class="table-list">
			<thead>
			<tr>
				<th colspan="3">Build Config</th>
			</tr>
			</thead>
			<thead>
			<tr>
				<th class="force-border">Field</th>
				<th class="force-border">Type</th>
				<th class="force-border">Description</th>
			</tr>
			</thead>
			<tbody>
			<tr>
				<td nowrap><code>config.debug</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable debug console log.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.rtl.enabled</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable compilation with RTL version of CSS along with default LTR CSS.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.rtl.skip</code></td>
				<td nowrap><code>array</code></td>
				<td>An array of plugin to be skipped from being compile as RTL.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.jsMinify</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable output Javascript minify.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.cssMinify</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable output CSS minify.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.jsSourcemaps</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable output Javascript with sourcemaps.</td>
			</tr>
			<tr>
				<td nowrap><code>config.compile.cssSourcemaps</code></td>
				<td nowrap><code>boolean</code></td>
				<td>Enable/disable output CSS with sourcemaps.</td>
			</tr>
			<tr>
				<td nowrap><code>config.dist</code></td>
				<td nowrap><code>object</code></td>
				<td>
					<code>dist</code> stands for
					<code>distributable</code> and refers to the directories where the minified and bundled assets will be stored for production uses.
				</td>
			</tr>
			</tbody>
			<thead>
			<tr>
				<th colspan="3" class="force-border">Build Items</th>
			</tr>
			</thead>
			<tbody>
			<tr>
				<td nowrap><code>build.vendors.main</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies required 3rd party resources to be added into the base css and js vendors bundles.
				</td>
			</tr>
			<tr>
				<td nowrap><code>build.vendors.base</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies global 3rd party resources to be added into the base css and js vendors bundles.
				</td>
			</tr>
			<tr>
				<td nowrap><code>build.vendors.custom</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies 3rd party resources.
				</td>
			</tr>

			<tr>
				<td nowrap><code>build.theme.base</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies the global assets of the demo to be added into the base css and js demo bundles.
				</td>
			</tr>
			<tr>
				<td nowrap><code>build.theme.skins</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies skins assets.
				</td>
			</tr>
			<tr>
				<td nowrap><code>build.theme.pages</code></td>
				<td nowrap><code>object</code></td>
				<td>
					This object specifies custom assets that are included on demand.
				</td>
			</tr>
			<tr>
				<td nowrap><code>build.media</code></td>
				<td nowrap><code>object</code></td>
				<td>
					Media folder.
				</td>
			</tr>
		</table>
	</div>

	<div class="space"></div>

	<h3 id="build-tasks" class="section-title">Build Tasks</h3>
	<div class="section-content">
		<p class="alert alert-danger" style="margin: 25px 0 25px 0;">Update the <code>Node.js</code>, global <code>npm</code> and <code>yarn</code> to the latest version, if you
			got the error related to the <code>node-sass</code>.</p>

		<div class="section-content">
			<p>Launch your terminal and change its current directory to the project's tools folder where the build files are located. All commands below must be run in this tools
				folder.</p>
			<pre><code>cd theme/html/tools/</code></pre>

			<div class="space"></div>

			<p>
				For the first time launch, run the command below to install the npm dependencies defined in
				<code>[metronic]/theme/html/tools/package.json</code> (if you haven't done it) :
			</p>
			<pre><code>yarn</code></pre>

			<div class="space"></div>

			<p>
				After every modification in <code>[metronic]/theme/html/[demo]/src/</code>, run below task to compile the assets as defined in
				<code>[metronic]/theme/html/tools/gulp.config.json</code> :
			</p>
			<pre><code>gulp --demo1</code></pre>

			<p class="alert alert-danger" style="margin: 25px 0 25px 0;">If <code>gulp</code> command is not working, try to remove
				<code>[metronic]/theme/html/tools/node_modules</code> folder, and reinstall dependencies using <code>yarn</code>.</p>

			<div class="space"></div>

			<p>Provide parameter <code>--rtl=true</code> to gulp task. This command disable from generating RTL CSS. If this param does not exist, by default RTL generate will be
				enabled.</p>
			<pre><code>gulp --rtl=true --demo1</code></pre>

			<div class="space"></div>

			<p>Provide parameter <code>--js</code> to gulp task. This command will generate javascript assets only.</p>
			<pre><code>gulp --js --demo1</code></pre>

			<div class="space"></div>

			<p>Provide parameter <code>--sass</code> to gulp task. This command will generate SCSS, SASS and CSS assets only.</p>
			<pre><code>gulp --sass --demo1</code></pre>

			<div class="space"></div>

			<p>Provide parameter <code>--media</code> to gulp task. This command will generate all media, fonts, images, etc. assets only.</p>
			<pre><code>gulp --media --demo1</code></pre>

			<div class="space"></div>

			<p>Provide parameter <code>--prod</code> to gulp task. This command will minify all the JS and CSS.</p>
			<pre><code>gulp --prod --demo1</code></pre>

			<div class="space"></div>

			<p>The customization should be done from <code>[metronic]/theme/html/[demo]/src/</code>. After compilation refer to the destination folder <code>[metronic]/theme/html/dist/</code>.</p>

		</div>

		<div class="space"></div>

		<p>This command use to start the real-time watcher. This task watches the sass/js files and automatically recompile whenever the source files are changed.</p>
		<p>To run watcher for all JS and SCSS files. Run command below.</p>
		<pre><code>gulp watch --demo1</code></pre>
		<p>You also can run watcher separately for JS and SCSS.</p>
		<pre><code>gulp watch:js --demo1</code></pre>
		<pre><code>gulp watch:scss --demo1</code></pre>
	</div>

	<div class="space"></div>

	<h3 id="sec4-4" class="section-title">Localhost</h3>
	<div class="section-content">
		<p><code>Gulp-connect</code> plugin use to run a simple webserver to run the HTML files.</p>

		<p>Note that server side ajax examples are not supported using this webserver and for full functionality, please refer to online preview:
			<code><a href="https://keenthemes.com/metronic/preview" target="_blank">https://keenthemes.com/metronic/preview</a></code>
			For the server side scripts demos, refer to the <code>[metronic]/docs/api_reference</code> in the docs folder.</p>

		<p>Open a <code>console</code> and run below command.</p>

		<pre><code>gulp localhost --demo1</code></pre>

		<p>Keep the console open. Open this link to run <code><a href="http://localhost:8080/" target="_blank">http://localhost:8080/</a></code></p>

		<p>The default running port is <code>8080</code>. In case, this port being used by other application, it can be changed in <code>[metronic]/theme/html/tools/gulp/watch.js</code></p>

		<pre><code>connect.server({
  root: '../' + demo + '/dist',
  livereload: true,
  port: 8081,
});</code></pre>
	</div>

</div>
			</div>
			<!-- contents END -->

		</div>
	</div>
</section><!-- section END -->
</div>


<footer >
    <div class="content-top">
        <div class="container">
            <div class="content-box">
                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom License?</span>
                    <span class="content-desc">
                        Learn more license options at<br/>
                        <a href="mailto:support@keenthemes.com" class="footer-email" target="_blank">support@keenthemes.com</a>
                    </span>
                    <div class="mt-4 d-none">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-danger pb-2 px-3">Get Quote</a>
                    </div>
                </div>

                <div class="line d-flex justify-content-center align-items-center">
                    <div></div>
                </div>

                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom Work?</span>
                    <span class="content-desc">
                        Send us request if you need Metronic<br/>
                        custom development
                    </span>
                    <div class="mt-4">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-primary py-2 px-3">Hire Us</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-bottom w-100 d-flex align-items-center">
        <div class="container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="footer-logo">
                    <a class="kt_logo d-block" href="https://keenthemes.com"><img src="./assets/img/logo.png" alt="logo"></a>
                </div>
                <div class="d-flex align-items-center footer-references">
                    <a href="?page=faq" class="mr-4">FAQ</a>
                    <a href="https://1.envato.market/EA4JP" target="_blank">Buy Now</a>
                </div>
            </div>
        </div>
    </div>
</footer>

</div><!-- wrapper END -->
</body>
</html>